
The changes included in a commit should hang together around a single goal or topic. If you have made changes with different purposes since your last commit, it is good practice to add the changes in several logical batches. 

Each commit should be made with a message that begins with a reference to the relevant issue(s) and ends with a brief summary of what the commit accomplishes. We reference issues using the syntax `#123` to create a link to issue #123. A commit command could be
 
```
git commit -m "#123 Change something"
```

When a commit is related to changes in a pull request, it should reference the pull request (first) and the original issue (second), e.g. 

```
git commit -m "#234 #123 Change something else"
```

It is possible (though discouraged unless absolutely necessary) for a commit to reference an issue in a different repository. To reference the appropriate issue and repository, we use the syntax `{owner}/{repository}#{issue_number}`. So a commit command in this situation would be

```
git commit -m "gslab-econ/ra-manual#123 Change something over here"
```

A good commit message is concise and descriptive. Ideally, the message is a single line of text that explains what you did and why you did it. Below are some examples of good and bad commit messages

  *  `"#123 Modify code.R to add number of observations to main regression table"` [Good]
  *  `"#123 Updating directory"` [Bad, obvious message]
  *  `"#123 Modifying code.R"` [Bad, redundant with what git is recording]