
Welcome to the GSLab! First, you should read the document [*Code and Data for the Social Sciences: A Practitioner's Guide*](https://web.stanford.edu/~gentzkow/research/CodeAndData.pdf). We expect you to understand the principles it articulates and to apply them faithfully.

We use a core set of tools in the lab. Please familiarize yourself with the ones on the list below and work through some of the linked resources. After you read this RA manual, we will assign you to a practice task that will give you hands-on experience with our basic tools and workflow. 

Our task management system is *GitHub*. The fastest way to learn GitHub as a task management system is to look through the GitHub pages associated with different lab projects.

The *command line* is our means of implementing tools. 

  *  [Bash Command Line Tutorial](http://ryanstutorials.net/linuxtutorial/)
  *  [Software Carpentry](http://swcarpentry.github.io/shell-novice/)

We use *git* for version control.

  *  [Pro Git Second Edition](https://git-scm.com/book/en/v2/Getting-Started-About-Version-Control)
  *  [Git for Beginners, the Definitive Practical Guide](http://stackoverflow.com/questions/315911/git-for-beginners-the-definitive-practical-guide)
  *  [Software Carpentry](http://swcarpentry.github.io/git-novice/)

Our primary build framework is *SCons*. 
  *  [Data analysis with SCons](http://zacharytessler.com/2015/03/05/data-workflows-with-scons/)
  *  [SCons User Guide](http://scons.org/doc/production/PDF/scons-user.pdf)
  *  [SCons Manual](http://scons.org/doc/production/PDF/scons-man.pdf)

*Python* is a flexible object oriented programming language with many uses in the lab. 

  *  [Software Carpentry](http://swcarpentry.github.io/python-novice-inflammation/)
  *  [Dive into Python](http://www.diveintopython.net/)
  *  O'reilly's Learning Python and Programming Python, MG has copies

We use *R* and *Stata* to analyze data. 

  *  R
      *  [Software Carpentry: Analysis](http://swcarpentry.github.io/r-novice-gapminder/)
      *  [Software Carpentry: Programming](http://swcarpentry.github.io/r-novice-inflammation/)

  *  Stata
      *  [UNC Population Center](http://www.cpc.unc.edu/research/tools/data_analysis/statatutorial)
      *  [A Little Bit of Stata Programming Goes a Long Way](http://www.stata.com/meeting/11uk/baum.pdf)
      *  An Introduction to Modern Econometrics Using Stata, hard copy

