For style questions not explicitly addressed here, we will follow whatever the AER does.

  *  Except where noted below, we use a "conversational" rule to decide where to put commas. There is no need to flag commas to be added or subtracted unless there is a clear typo or a significant issue of clarity or ambiguity.

  *  References to numbered tables, figures, figure panels, sections, and appendixes should be capitalized: “See Table 3” not “See table 3.”
 
  * References to numbered equations should be lowercase: "See equation (3)" not "See Equation (3)". 

  *  Use “serial comma”: “apples, pears, and bananas” not “apples, pears and bananas.”

  *  No commas before years in parenthetical references: “(Gentzkow and Shapiro 2006)” not “(Gentzkow and Shapiro, 2006).”

  *  Use “et al.” for references to papers with three or more authors: “Gentzkow et al. 2004” not “Gentzkow, Glaeser, and Goldin 2004.”

  *  Separate multiple references in parenthetical references with semicolons not commas: “(Gentzkow and Shapiro 2006; Shapiro 2012)” not “(Gentzkow and Shapiro 2006, Shapiro 2012)”

  * No nested parentheses in parenthetical references: "Some authors (e.g., Gentzkow and Shapiro 2010)..." not "Some authors (e.g., Gentzkow and Shapiro (2010))..."

  * Possessive apostrophe before parenthetical reference: "Gentzkow's (2006) approach" not "Gentzkow (2006)'s approach"

  *  Use numerals for numbers >=10 (“increases 10 percentage points”) and write out numbers <10 (“increases nine percentage points”). This rule should be broken when necessary to maintain parallelism (“with 3, 12, and 100 observations respectively” not “with three, 12, and 100 observations respectively”).

  *  Titles of sections and subsections, tables, and figures, are written in “title caps” (e.g., "Main Results" not "Main results").

  * Axis labels, row and column headers in tables, etc. should only have the first word capitalized (e.g., “Log population” not “Log Population”)

  *  The “references” section of the online appendix should include only those references cited in the online appendix but *not* cited in the body of the paper.

  *  Mathematical symbols and equations introduced mid-sentence should not be introduced with commas (e.g., "We define an indicator for treatment d_i ...", not "We define an indicator for treatment, d_i, ...").
