
This section applies to RAs planning to apply to PhD programs.


## Overview


Top PhD programs want to admit candidates who will (i) perform well in the coursework in their program and (ii) excel in independent research.

The primary way of evaluating (i) is to look at the history of courses the candidate has taken. At a minimum, this should include good performance in undergraduate-level proof-based mathematics courses (e.g., real analysis, linear algebra). At best, it will include good performance in challenging PhD-level economics courses at a top school.

The primary way of evaluating (ii) is through letters of recommendation. The best letters are from well-recognized faculty at top institutions and speak not only to the candidate’s proficiency in research tasks but also to their creativity in developing and executing independent research ideas. The best candidates can supplement these letters with concrete independent research, from an undergraduate thesis or other independent project.

During your time as an RA you can improve how PhD programs will evaluate you on both of these dimensions. It is our job to design the work you do as an RA to ensure that, in addition to getting our own work done, we also put ourselves in a good position to evaluate your research skills in our letters.

The rest is largely up to you. However, we can contribute to the other aspects of your application by advising you on courses, providing feedback on application materials, and giving you guidance on independent research. In addition, our letters allow us to make credible statements about “softer” elements of your application, such as the quality of independent research you have done.

## Quarterly review

At the end of each academic quarter, we will have a meeting to discuss:

  *  RA work.

  *  Classes.

  *  Your research.

  *  Other decisions/issues related to your application.

You are responsible for scheduling this meeting. Please e-mail us by week 10 of the quarter to schedule the meeting. When you e-mail, please include the following information in your e-mail:

  *  Grades from any courses you have taken at Stanford or other instutions in previous quarters.

  *  A list of courses taken in the current quarter with whatever information you have on grade outcomes (exam grades, problem set grades, etc.)

  *  A *brief* summary of the main areas of RA work you have been involved in over the past quarter.

  *  An outline of any other issues you wish to discuss regarding your progress.

Please also post the contents of this e-mail to our shared Evernote notebook.

Note that these meetings are meant to guarantee a minimum to the frequency of our interactions on the topics listed above, not a maximum. We are always happy to discuss aspects of your progress.

After the meeting, please post to our shared Evernote notebook a brief summary of what we discussed and e-mail this summary to us. We will write back and confirm or amend your understanding as needed. This way, we can be sure to stay on the same page.

## Advice for writing a personal statement

We suggest that your personal statement be:
* `<10%` personal narrative. This should be minimal unless there are facts in your personal background that are truly unusual and may change how people think about your file.
* `10-20%` description of your past record & accomplishments including RA work. There's no need here for extensive detail about what you did in your RA work; our letters will flesh that out. A high-level summary is fine.
* `20-30%` summary of prior independent research. By far the most important thing to communicate is your ability to think clearly and independently about research. This is the hardest thing to tell from the rest of your application. You want to show that you can articulate a research question, motivate why it's important, and lay out a credible strategy for answering it.
* `>50%` outlining your research agenda for grad school and beyond. Include a detailed description of one or more proposed research projects. You will not be committed to actually doing what you propose once you get to grad school. What is important is the thinking and understanding that's revealed in laying out a plan. But if you have made some concrete progress on these projects, that's a bonus, and you should make it clear.

Some other principles:
* Avoid wasting space repeating things that will be clear from other parts of your application. Use this to communicate things the rest of the application won't, or to add emphasis to very important aspects of your file.
* We usually recommend against including names of specific faculty or other content customized to individual schools. The upside is small -- anybody decent applying to these programs is capable of looking up names on a website -- and the downside risk of making a mistake can be large.

## Timeline

Below is a list of the elements of your application that it will be useful for us to know about. Adhering to the deadlines below will allow us to write the strongest possible letter for you and to give you informed and timely advice on other aspects of your application. Ultimately, of course, it is your application, and (with the exception of deadlines for recommendation letters) you are free to ignore these suggestions.


  *  *Intermediate Summary.* By September 15 of the year in which you are applying, please post to Evernote the following information so that we can provide feedback:

      *  A spreadsheet listing the top 50 economics PhD programs along with an indication of whether you plan to apply to each program and any notes you have on the reasons for your decision. You can use the [US News and World Report](http://grad-schools.usnews.rankingsandreviews.com/best-graduate-schools/top-humanities-schools/economics-rankings) list as a starting point.

      *  A draft of your personal/research statement.

  *  *Final Summary.* By September 30 of the year in which you are applying, please post to Evernote the following information:

      *  A list of the programs to which you are applying, along with the deadlines for recommendation letters for each program.

      *  A list of people writing letters for you.

      *  Final transcripts from undergraduate and any other courses you have taken.

      *  A draft of your personal statement and any other essay materials you will be submitting with your applications.

      *  A draft of your CV.

      *  A list of what you see as your most impressive accomplishments in your RA work.

      *  A list of the main things you think you’ve learned / main ways in which you’ve improved in your RA work.

      *  Your GRE scores.

      *  After you send us these materials, you should contact us to schedule a meeting so that we can have a final conversation about your application.

  *  *Ongoing.* After September 30 please keep us posted in real time on:

      *  Any exam or course grades for courses in which you are enrolled in the fall quarter of the year in which you are applying.

      *  Any other new information that you think might be relevant for our letters.

      *  Any program decisions (acceptances/rejections) that you receive.
    

## Application Logistics

PhD applications generate a large volume of emails to those writing reference letters. Jesse and Matt have separate email addresses they use for this purpose. You should check with them to get the appropriate address and use this address rather than their regular email on all applications.

## Fellowships to Consider

* [NSF GRFP](https://www.nsfgrfp.org/)
* [Stanford Knight-Hennessy Scholars](https://knight-hennessy.stanford.edu/)