
Sometimes the lab works to accomplish a pre-defined set of related or thematically similar goals during a pre-determined and fixed period of time. We call these periods *sprints*. At the beginning of a sprint, MG and/or JMS establish its goals and principal tasks. Ideally, the goal is achieved and its tasks completed by the sprint's end. Lab members should not expect that work on any of a sprint's tasks will continue after the sprint's conclusion.

### Organization

A sprint begins with a declaration by MG/JMS that will typically include its goal, tasks, and time frame.  Normally, MG 
and/or JMS will lead a brief meeting with the lab, whether in person or over Skype, on each morning of the sprint. During 
these meetings, lab members will review their current work and plans, focusing on 
decision-making and matters for which group discussion may provide particular benefit rather than 
the summarisation of materials already posted on GitHub.

MG/JMS will select one lab member as the sprint captain. The sprint captain has three key responsibilities. 
  *  The captain must add the dates of the sprint to the GSLab Google Calendar using the convention `[repo: milestone] Sprint`. Meeting times should be added to the calendar as well. 
  *  The captain must add the tasks in the sprint as GitHub issues. Typically, the estimated time to complete an issue should not exceed one workday. As a general principle, issues should be made at a granular level. For example, it is better to make one issue `write code for big new feature` and another `debug code for big new feature` than it is to make the single issue `add big new feature`.  
  *  The captain must make a [waffle](https://waffle.io/) to help visualize progress on the sprint, and generally supervise this progress with a view to ensuring that lab members are appropriately prioritizing issues. 

Each sprint is associated with a milestone on GitHub. We should attach this milestone to each of a sprint's issues and use 
the following labels to track the status of these issues. 
  *  The `ready` label identifies that assignees may begin working on an issue;
  *  The `in progress` label marks that an assignee has started working on an issue but that the issue is not ready to be closed.

Normally, the captain or another lab member assigns each of a sprint's GitHub issues to specific lab members. However, 
sometimes it does not make sense to assign an issue when it is created. This may occur when it is unclear who will be 
best-suited to work on a downstream issue. Such issues can be later assigned by MG/JMS, by the sprint captain, or by lab 
members who judge themselves well-placed to begin personally working on the issue. In the case of self-assignment, it is 
important to leave a comment on the relevant issue stating that you are beginning to work on the task. 