For the purpose of [repository organization](https://github.com/gslab-econ/ra-manual/wiki/Repository-Organization/) and version control, GSLab develops and maintains a collection of Python tools ([GSLab Python](https://github.com/gslab-econ/gslab_python)) and a minimal working demonstration of those tools ([Template](https://github.com/gslab-econ/template/)). This section lists some principles that the development of GSLab Python and Template should follow.

- Release

    - the head revision of GSLab Python should always be the latest release. All of GSLab's active repositories and (including Template) should be using this release. 

- Maintenance:

    - Hotfixes that address small or PI-breaking bugs should be made in gslab_python whenever possible. Hotfixes will be pushed out immediately as a "patch version" with a note sent to known active users. 

    - Releases must avoid backward compatibility breaking changes whenever possible. For instance, in the case of fixing an bug relating to user-input in Template, this can be achieved through changing how GSLab Python receives input rather than changing frontend syntax or user workflow. Overall, when making potentially breaking changes, the RA must be mindful of how easy it is for GSLab and other users (PI's and RA's) to implement in existing repositories. 
