
We attempt to maintain a uniform computing environment across all our PCs. This is important because it prevents a situation where some code can only be edited by certain users or on certain machines. It can be challenging because of different machine vintages, software versions, etc. 

The standard set-up instructions and procedures described on this page help make our computing environments
less vulnerable to these problems. The responsibilities of participants in the computer-building process can be summarized by:

1. Stanford IT personnel sets up paid software listed on our [build sheet](https://github.com/gslab-econ/admin/blob/master/computer-build-sheet/computer-build-sheet.md).
2. The user executes our [scripted build of free software](https://github.com/gslab-econ/admin/blob/master/computer-build-sheet/package_build.sh) on a machine that satisfies Homebrew's [system requirements](https://github.com/Homebrew/brew/blob/master/docs/Installation.md)
3. The user checks that Stanford utility software, as outlined on [build sheet](https://github.com/gslab-econ/admin/blob/master/computer-build-sheet/computer-build-sheet.md), has been correctly installed. The user also checks that Python 2 and Git can be run from the command line, and that We have installed Xcode and agreed to its license (we may check this by running `sudo xcodebuild -license`).
4. If the user is working on a project that requires software not included in our general software build, the user should follow any project-specific instructions (usually in a repository README or wiki) on installing this software. 
5. The user creates a GitHub account with [two-factor authentication](https://github.com/blog/1614-two-factor-authentication) and adds a proper [SSH key](https://help.github.com/articles/generating-an-ssh-key/) to her GitHub account.

We design our code to run on all our machines. Any changes to the standard build should be reflected in the scripts and documents listed above. Project-specific machine settings should be maintained in the appropriate README.
